{"openapi":"3.0.1","info":{"title":"Shared Data API","description":"# Overview\nThe Shared Data API supports the downloading of data hosted in the ImmPort Shared Data Warehouse.\nEndpoints that download Study and Subject level data require Authorization to use these endpoints.\nRegistration to use ImmPort Shared Data is free, visit [ImmPort](https://immport.org) to explore\nthe types of data available for download. Click on this\n[Link](https://immport-user-admin.niaid.nih.gov:8443/registrationuser/registration) to register.\n\n## Additional Help\nFor more details on the endpoints visit the [API Documentation Site](https://docs.dev.immport.org/apidocumentation/)\nfor more information. In addition, How-To tutorials on using the endpoints and examples of exploring the data\nare available [here](https://tutorials.immport.org)\n\n## Note\nThe Swagger UI can be used to try out endpoints but the browser may freeze when the endpoint\nreturns large result sets. Either try to add filters to reduce the amount of data returned or\ntest the endpoints with shell scripts using curl or wget.\n\n## Controllers\n\n\n| Controller | Description | Authorization |\n| ---------- | ----------- | ------------- |\n| Study Search | Endpoints to support text and faceted search of Study and Subject Metadata | No |\n| Study Data | These endpoints support the retrieval of study data for a single study including subject, experiment, etc | Yes |        \n| Study Result | Endpoints to download study, experiment, assay results | Yes |        \n| Study File Manifest | These endpoints support retrieving a manifest of all files associated with a given study | Yes |\n| Download Study Files | These endpoints support the download of study package files including release files, study files, protocol files and result files using GA4GH DRS IDs. Use the manifest endpoint to retrieve DRS ID for each file | Yes |\n| Lookup or Controlled Vocabulary | Endpoints to download controlled vocabulary information | No |\n","contact":{"name":"ImmPort","url":"https://immport.org","email":"ImmPort_Helpdesk@immport.org"},"version":"v1"},"servers":[{"url":"https://www.dev.immport.org/data/query","description":"Generated server url"}],"tags":[{"name":"Study Search","description":"Endpoints to support text and faceted search of Study and Subject Metadata"},{"name":"Study Data","description":"These endpoints support the retrieval of study data for a single study including subject, experiment, etc"},{"name":"Study Result","description":"Endpoints to download study, experiment, assay results. Try any of these endpoints by entering studies in the study_accession parameter. Use the example value 'SDY406,SDY208, SDY268,SDY1190,SDY691,SDY194,SDY2437,SDY2353,SDY1538'"},{"name":"Study File Manifest","description":"These endpoints support retrieving a manifest of all files associated with a given study."},{"name":"Download Study Files","description":"These endpoints support the download of study package files including release files, study files, protocol files and result files using GA4GH DRS IDs. Use the manifest endpoint to retrieve DRS ID for each file"},{"name":"Lookup or Controlled Vocabulary","description":"Endpoints to download controlled vocabulary information"}],"paths":{"/result/pcr":{"get":{"tags":["Study Result"],"summary":"Retrieve PCR results using filters","description":"Returns PCR results based on filter criteria","operationId":"getPcrResult","parameters":[{"name":"ageEvent","in":"query","description":"Filter by the event at which subject age was recorded. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nAge at enrollment\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAgeEvent?format=json"},{"name":"ageEventSpecify","in":"query","description":"Additional specification for the age event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ageUnit","in":"query","description":"Filter by the unit of measurement used for subject age. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nYears\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkTimeUnit?format=json"},{"name":"ancestralPopulation","in":"query","description":"Filter by ancestral population of the subject. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nEurope, Australia\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAncestralPopulation?format=json"},{"name":"sex","in":"query","description":"Filter by participant biological sex(s). Accepts multiple values comma separated.\n\n**Example:**\nFemale\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSex?format=json"},{"name":"race","in":"query","description":"Filter by subject race. Accepts multiple values comma separated.\nControlled vocabulary for Race follows the census designation and OMB Directive 15.\n\n**Example:**\nAsian, White\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkRace?format=json"},{"name":"raceSpecify","in":"query","description":"Additional specification for subject race when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ethnicity","in":"query","description":"Filter by subject ethnicity. Accepts multiple values comma separated.\nControlled vocabulary for Ethnicity follows the census designation and OMB Directive 15.\n\n**Example:**\nHispanic or Latino\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkEthnicity?format=json"},{"name":"species","in":"query","description":"Filter by species studied. Accepts multiple values comma separated.\nRepresents the organism associated with the study or subjects\n(e.g., Homo sapiens, Mus musculus).\n\n**Example:**\nHomo sapiens, Mus musculus\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSpecies?format=json"},{"name":"strain","in":"query","description":"Filter by subject species strain. Accepts multiple values comma separated.\n\n**Example:**\nC57BL/6J\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"maxSubjectAge","in":"query","description":"Filter by exact maximum subject age","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGte","in":"query","description":"Filter results where maximum subject age is greater than or equal to this value. example : 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLte","in":"query","description":"Filter results where maximum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGt","in":"query","description":"Filter results where maximum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLt","in":"query","description":"Filter results where maximum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAge","in":"query","description":"Filter by exact minimum subject age. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGte","in":"query","description":"Filter results where minimum subject age is greater than or equal to this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLte","in":"query","description":"Filter results where minimum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGt","in":"query","description":"Filter results where minimum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLt","in":"query","description":"Filter results where minimum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyAccession","in":"query","description":"Filter by specific study accession identifier(s). This is the persistent identifier\nfor the study. Accepts multiple values comma separated.\n\n**Example:**\nSDY406,SDY208, SDY268,SDY1190,SDY691,SDY194,SDY2437,SDY2353,SDY1538\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectAccession","in":"query","description":"Filter by specific subject accession identifier(s). This is the persistent identifier\nfor the subject. Accepts multiple values comma separated.\n\n**Example:**\nSUB73370, SUB73371\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armAccession","in":"query","description":"Filter by study arm accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nARM1, ARM2\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armName","in":"query","description":"Filter by study arm name(s). The name of the study's arm(s) or cohort(s) that group\nsubjects by criteria relevant to the study. Accepts multiple values comma separated.\n\n**Example:**\nImmunotherapy with anti-IgE\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTitle","in":"query","description":"Filter by study title(s). Accepts multiple values comma separated.\n\n**Example:**\nEfficacy and Safety Evaluation of Allergen Immunotherapy Co-Administered with Omalizumab (an anti-IgE Monoclonal Antibody) (ITN019AD)\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectPhenotype","in":"query","description":"Filter by subject phenotype(s). Accepts multiple values comma separated.\n\n**Example:**\nRagweed-induced seasonal allergic rhinitis\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleAccession","in":"query","description":"Filter by biosample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nBS121576, BS121577\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleSubtype","in":"query","description":"Filter by biosample subtype(s). Accepts multiple values comma separated.\n\n**Example:**\nWhole Blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleType","in":"query","description":"Filter by biological sample type(s) collected. Accepts multiple values comma separated.\nRepresents the type of biospecimen obtained from subjects for analysis.\n\n**Example:**\nBone, Cord blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSampleType?format=json"},{"name":"measurementTechnique","in":"query","description":"Filter by assay method(s) used in the study. Accepts multiple values comma separated.\nRepresents the experimental measurement techniques applied to generate study data.\n\n**Example:**\nFlow Cytometry, ELISA, ELISPOT\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkExpMeasurementTech?format=json"},{"name":"experimentAccession","in":"query","description":"Filter by experiment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nEXP14863, EXP14861\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"expsampleAccession","in":"query","description":"Filter by experiment sample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nES96611, ES96612\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"plannedVisitAccession","in":"query","description":"Filter by planned visit accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nPV66, PV81\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"treatmentAccession","in":"query","description":"Filter by treatment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nTRT001, TRT002\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"clinical","in":"query","description":"Facet filter indicating whether the result is clinical.\n\nAccepts one of the following values:\nY = Clinical result\nN = Non-clinical result\n","required":false,"schema":{"type":"string","nullable":true,"enum":["Y","N"]}},{"name":"studyTimeCollected","in":"query","description":"Filter by exact study time collected value relative to T0. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGte","in":"query","description":"Filter results where study time collected is greater than or equal to this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLte","in":"query","description":"Filter results where study time collected is less than or equal to this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGt","in":"query","description":"Filter results where study time collected is strictly greater than this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLt","in":"query","description":"Filter results where study time collected is strictly less than this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedUnit","in":"query","description":"Filter by the unit of measurement for study time collected. Accepts multiple values comma separated.\n\n**Example:**\nDays\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0Event","in":"query","description":"Filter by the reference event used as time zero (T0) for the study timeline.\nAccepts multiple values comma separated.\n\n**Example:**\nNot Specified\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0EventSpecify","in":"query","description":"Additional specification for the T0 event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"format","in":"query","description":"Response format type","required":false,"schema":{"type":"string","nullable":true,"example":"json","default":"json","enum":["json","tsv"]}}],"responses":{"200":{"description":"Return PCR results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VPcrResult"}},"examples":{"JSON Response Example":{"summary":"JSON array response for PCR results","description":"JSON Response Example","value":[{"resultId":119590,"ageEvent":"Not Specified","ageEventSpecify":"","ageUnit":"Years","ancestralPopulation":"","armAccession":"ARM836","armName":"Old","biosampleAccession":"BS899115","biosampleType":"Monocyte","biosampleSubtype":"Monocytes","clinical":"N","comments":"","ethnicity":"Not Hispanic or Latino","experimentAccession":"EXP14617","expsampleAccession":"ES1015562","gender":"Male","geneId":"3251","geneName":"Hypoxanthine-guanine phosphoribosyltransferase","analyteAccession":"","geneSymbolReported":"HPRT1","geneSymbolPreferred":"","maxSubjectAge":66,"measurementTechnique":"Q-PCR","minSubjectAge":66,"otherGeneAccession":"","plannedVisitAccession":"PV2390","race":"White","raceSpecify":"","repositoryAccession":"","repositoryName":"","species":"Homo sapiens","strain":"","studyAccession":"SDY194","studyTitle":"Innate Immune Pathways in Elderly and Immunosuppressed Populations 2011","studyTimeCollected":0,"studyTimeCollectedUnit":"Days","studyTimeT0Event":"Time of initial vaccine administration","studyTimeT0EventSpecify":"","subjectAccession":"SUB111048","subjectPhenotype":"Older adult, non-frail","unitPreferred":"Ct","unitReported":"Ct","valuePreferred":26.27,"valueReported":"26.27","treatmentAccession":"TRT904"}]}}},"text/tab-separated-values":{"schema":{"$ref":"#/components/schemas/VPcrResult"}}}},"401":{"description":"Error: response status is 401","content":{"application/json":{"examples":{"401 Response Example":{"summary":"JSON object returned with 401 response","description":"401 Response Example","value":{"error":"Full authentication is required to access this resource","type":"Unauthorized","status":401}}}}}}},"security":[{"immport-security":[]}]}},"/result/neutAbTiter":{"get":{"tags":["Study Result"],"summary":"Retrieve Neutralizing Antibody Titer results using filters","description":"Returns Neutralizing Antibody Titer results based on filter criteria","operationId":"getNeutAbTiterResult","parameters":[{"name":"ageEvent","in":"query","description":"Filter by the event at which subject age was recorded. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nAge at enrollment\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAgeEvent?format=json"},{"name":"ageEventSpecify","in":"query","description":"Additional specification for the age event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ageUnit","in":"query","description":"Filter by the unit of measurement used for subject age. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nYears\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkTimeUnit?format=json"},{"name":"ancestralPopulation","in":"query","description":"Filter by ancestral population of the subject. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nEurope, Australia\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAncestralPopulation?format=json"},{"name":"sex","in":"query","description":"Filter by participant biological sex(s). Accepts multiple values comma separated.\n\n**Example:**\nFemale\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSex?format=json"},{"name":"race","in":"query","description":"Filter by subject race. Accepts multiple values comma separated.\nControlled vocabulary for Race follows the census designation and OMB Directive 15.\n\n**Example:**\nAsian, White\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkRace?format=json"},{"name":"raceSpecify","in":"query","description":"Additional specification for subject race when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ethnicity","in":"query","description":"Filter by subject ethnicity. Accepts multiple values comma separated.\nControlled vocabulary for Ethnicity follows the census designation and OMB Directive 15.\n\n**Example:**\nHispanic or Latino\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkEthnicity?format=json"},{"name":"species","in":"query","description":"Filter by species studied. Accepts multiple values comma separated.\nRepresents the organism associated with the study or subjects\n(e.g., Homo sapiens, Mus musculus).\n\n**Example:**\nHomo sapiens, Mus musculus\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSpecies?format=json"},{"name":"strain","in":"query","description":"Filter by subject species strain. Accepts multiple values comma separated.\n\n**Example:**\nC57BL/6J\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"maxSubjectAge","in":"query","description":"Filter by exact maximum subject age","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGte","in":"query","description":"Filter results where maximum subject age is greater than or equal to this value. example : 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLte","in":"query","description":"Filter results where maximum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGt","in":"query","description":"Filter results where maximum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLt","in":"query","description":"Filter results where maximum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAge","in":"query","description":"Filter by exact minimum subject age. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGte","in":"query","description":"Filter results where minimum subject age is greater than or equal to this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLte","in":"query","description":"Filter results where minimum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGt","in":"query","description":"Filter results where minimum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLt","in":"query","description":"Filter results where minimum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyAccession","in":"query","description":"Filter by specific study accession identifier(s). This is the persistent identifier\nfor the study. Accepts multiple values comma separated.\n\n**Example:**\nSDY406,SDY208, SDY268,SDY1190,SDY691,SDY194,SDY2437,SDY2353,SDY1538\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectAccession","in":"query","description":"Filter by specific subject accession identifier(s). This is the persistent identifier\nfor the subject. Accepts multiple values comma separated.\n\n**Example:**\nSUB73370, SUB73371\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armAccession","in":"query","description":"Filter by study arm accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nARM1, ARM2\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armName","in":"query","description":"Filter by study arm name(s). The name of the study's arm(s) or cohort(s) that group\nsubjects by criteria relevant to the study. Accepts multiple values comma separated.\n\n**Example:**\nImmunotherapy with anti-IgE\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTitle","in":"query","description":"Filter by study title(s). Accepts multiple values comma separated.\n\n**Example:**\nEfficacy and Safety Evaluation of Allergen Immunotherapy Co-Administered with Omalizumab (an anti-IgE Monoclonal Antibody) (ITN019AD)\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectPhenotype","in":"query","description":"Filter by subject phenotype(s). Accepts multiple values comma separated.\n\n**Example:**\nRagweed-induced seasonal allergic rhinitis\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleAccession","in":"query","description":"Filter by biosample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nBS121576, BS121577\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleSubtype","in":"query","description":"Filter by biosample subtype(s). Accepts multiple values comma separated.\n\n**Example:**\nWhole Blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleType","in":"query","description":"Filter by biological sample type(s) collected. Accepts multiple values comma separated.\nRepresents the type of biospecimen obtained from subjects for analysis.\n\n**Example:**\nBone, Cord blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSampleType?format=json"},{"name":"measurementTechnique","in":"query","description":"Filter by assay method(s) used in the study. Accepts multiple values comma separated.\nRepresents the experimental measurement techniques applied to generate study data.\n\n**Example:**\nFlow Cytometry, ELISA, ELISPOT\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkExpMeasurementTech?format=json"},{"name":"experimentAccession","in":"query","description":"Filter by experiment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nEXP14863, EXP14861\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"expsampleAccession","in":"query","description":"Filter by experiment sample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nES96611, ES96612\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"plannedVisitAccession","in":"query","description":"Filter by planned visit accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nPV66, PV81\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"treatmentAccession","in":"query","description":"Filter by treatment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nTRT001, TRT002\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"clinical","in":"query","description":"Facet filter indicating whether the result is clinical.\n\nAccepts one of the following values:\nY = Clinical result\nN = Non-clinical result\n","required":false,"schema":{"type":"string","nullable":true,"enum":["Y","N"]}},{"name":"studyTimeCollected","in":"query","description":"Filter by exact study time collected value relative to T0. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGte","in":"query","description":"Filter results where study time collected is greater than or equal to this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLte","in":"query","description":"Filter results where study time collected is less than or equal to this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGt","in":"query","description":"Filter results where study time collected is strictly greater than this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLt","in":"query","description":"Filter results where study time collected is strictly less than this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedUnit","in":"query","description":"Filter by the unit of measurement for study time collected. Accepts multiple values comma separated.\n\n**Example:**\nDays\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0Event","in":"query","description":"Filter by the reference event used as time zero (T0) for the study timeline.\nAccepts multiple values comma separated.\n\n**Example:**\nNot Specified\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0EventSpecify","in":"query","description":"Additional specification for the T0 event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"format","in":"query","description":"Response format type","required":false,"schema":{"type":"string","nullable":true,"example":"json","default":"json","enum":["json","tsv"]}}],"responses":{"401":{"description":"Error: response status is 401","content":{"application/json":{"examples":{"401 Response Example":{"summary":"JSON object returned with 401 response","description":"401 Response Example","value":{"error":"Full authentication is required to access this resource","type":"Unauthorized","status":401}}}}}},"200":{"description":"Return Neutralizing Antibody Titer results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VNeutAbTiterResult"}},"examples":{"JSON Response Example":{"summary":"JSON array response for Neutralizing Antibody Titer results","description":"JSON Response Example","value":[{"resultId":7041,"ageEvent":"Age at enrollment","ageEventSpecify":"","ageUnit":"Weeks","ancestralPopulation":"","armAccession":"ARM884","armName":"Microneedle vaccination- 5 ug inactivated A/California/04/09 virus, Challenged: 10x LD50 A/California/04/09 virus","biosampleAccession":"BS689943","biosampleType":"PBMC","biosampleSubtype":"","clinical":"N","comments":"","ethnicity":"","experimentAccession":"EXP13365","expsampleAccession":"ES736618","gender":"Female","maxSubjectAge":6,"measurementTechnique":"Hemagglutination Inhibition","minSubjectAge":6,"plannedVisitAccession":"PV2442","race":"","raceSpecify":"","repositoryAccession":"","repositoryName":"","species":"Mus musculus","strain":"","studyAccession":"SDY208","studyTitle":"Serological Memory and Long-term Protection to Novel H1N1 Influenza Virus After Skin Vaccination","studyTimeCollected":154,"studyTimeCollectedUnit":"Days","studyTimeT0Event":"Time of initial vaccine administration","studyTimeT0EventSpecify":"","subjectAccession":"SUB120519","subjectPhenotype":"Specific-pathogen free","unitPreferred":"Antibody titer","unitReported":"Antibody titer","valuePreferred":9.999,"valueReported":"9.999","virusStrainPreferred":"A/California/04/2009","virusStrainReported":"A/California/04/09","treatmentAccession":"TRT256"}]}}},"text/tab-separated-values":{"schema":{"$ref":"#/components/schemas/VNeutAbTiterResult"}}}}},"security":[{"immport-security":[]}]}},"/result/mbaa":{"get":{"tags":["Study Result"],"summary":"Retrieve MBAA results using filters","description":"Returns MBAA results based on filter criteria","operationId":"getMbaaResult","parameters":[{"name":"ageEvent","in":"query","description":"Filter by the event at which subject age was recorded. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nAge at enrollment\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAgeEvent?format=json"},{"name":"ageEventSpecify","in":"query","description":"Additional specification for the age event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ageUnit","in":"query","description":"Filter by the unit of measurement used for subject age. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nYears\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkTimeUnit?format=json"},{"name":"ancestralPopulation","in":"query","description":"Filter by ancestral population of the subject. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nEurope, Australia\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAncestralPopulation?format=json"},{"name":"sex","in":"query","description":"Filter by participant biological sex(s). Accepts multiple values comma separated.\n\n**Example:**\nFemale\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSex?format=json"},{"name":"race","in":"query","description":"Filter by subject race. Accepts multiple values comma separated.\nControlled vocabulary for Race follows the census designation and OMB Directive 15.\n\n**Example:**\nAsian, White\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkRace?format=json"},{"name":"raceSpecify","in":"query","description":"Additional specification for subject race when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ethnicity","in":"query","description":"Filter by subject ethnicity. Accepts multiple values comma separated.\nControlled vocabulary for Ethnicity follows the census designation and OMB Directive 15.\n\n**Example:**\nHispanic or Latino\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkEthnicity?format=json"},{"name":"species","in":"query","description":"Filter by species studied. Accepts multiple values comma separated.\nRepresents the organism associated with the study or subjects\n(e.g., Homo sapiens, Mus musculus).\n\n**Example:**\nHomo sapiens, Mus musculus\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSpecies?format=json"},{"name":"strain","in":"query","description":"Filter by subject species strain. Accepts multiple values comma separated.\n\n**Example:**\nC57BL/6J\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"maxSubjectAge","in":"query","description":"Filter by exact maximum subject age","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGte","in":"query","description":"Filter results where maximum subject age is greater than or equal to this value. example : 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLte","in":"query","description":"Filter results where maximum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGt","in":"query","description":"Filter results where maximum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLt","in":"query","description":"Filter results where maximum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAge","in":"query","description":"Filter by exact minimum subject age. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGte","in":"query","description":"Filter results where minimum subject age is greater than or equal to this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLte","in":"query","description":"Filter results where minimum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGt","in":"query","description":"Filter results where minimum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLt","in":"query","description":"Filter results where minimum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyAccession","in":"query","description":"Filter by specific study accession identifier(s). This is the persistent identifier\nfor the study. Accepts multiple values comma separated.\n\n**Example:**\nSDY406,SDY208, SDY268,SDY1190,SDY691,SDY194,SDY2437,SDY2353,SDY1538\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectAccession","in":"query","description":"Filter by specific subject accession identifier(s). This is the persistent identifier\nfor the subject. Accepts multiple values comma separated.\n\n**Example:**\nSUB73370, SUB73371\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armAccession","in":"query","description":"Filter by study arm accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nARM1, ARM2\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armName","in":"query","description":"Filter by study arm name(s). The name of the study's arm(s) or cohort(s) that group\nsubjects by criteria relevant to the study. Accepts multiple values comma separated.\n\n**Example:**\nImmunotherapy with anti-IgE\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTitle","in":"query","description":"Filter by study title(s). Accepts multiple values comma separated.\n\n**Example:**\nEfficacy and Safety Evaluation of Allergen Immunotherapy Co-Administered with Omalizumab (an anti-IgE Monoclonal Antibody) (ITN019AD)\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectPhenotype","in":"query","description":"Filter by subject phenotype(s). Accepts multiple values comma separated.\n\n**Example:**\nRagweed-induced seasonal allergic rhinitis\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleAccession","in":"query","description":"Filter by biosample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nBS121576, BS121577\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleSubtype","in":"query","description":"Filter by biosample subtype(s). Accepts multiple values comma separated.\n\n**Example:**\nWhole Blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleType","in":"query","description":"Filter by biological sample type(s) collected. Accepts multiple values comma separated.\nRepresents the type of biospecimen obtained from subjects for analysis.\n\n**Example:**\nBone, Cord blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSampleType?format=json"},{"name":"measurementTechnique","in":"query","description":"Filter by assay method(s) used in the study. Accepts multiple values comma separated.\nRepresents the experimental measurement techniques applied to generate study data.\n\n**Example:**\nFlow Cytometry, ELISA, ELISPOT\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkExpMeasurementTech?format=json"},{"name":"experimentAccession","in":"query","description":"Filter by experiment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nEXP14863, EXP14861\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"expsampleAccession","in":"query","description":"Filter by experiment sample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nES96611, ES96612\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"plannedVisitAccession","in":"query","description":"Filter by planned visit accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nPV66, PV81\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"treatmentAccession","in":"query","description":"Filter by treatment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nTRT001, TRT002\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"clinical","in":"query","description":"Facet filter indicating whether the result is clinical.\n\nAccepts one of the following values:\nY = Clinical result\nN = Non-clinical result\n","required":false,"schema":{"type":"string","nullable":true,"enum":["Y","N"]}},{"name":"studyTimeCollected","in":"query","description":"Filter by exact study time collected value relative to T0. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGte","in":"query","description":"Filter results where study time collected is greater than or equal to this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLte","in":"query","description":"Filter results where study time collected is less than or equal to this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGt","in":"query","description":"Filter results where study time collected is strictly greater than this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLt","in":"query","description":"Filter results where study time collected is strictly less than this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedUnit","in":"query","description":"Filter by the unit of measurement for study time collected. Accepts multiple values comma separated.\n\n**Example:**\nDays\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0Event","in":"query","description":"Filter by the reference event used as time zero (T0) for the study timeline.\nAccepts multiple values comma separated.\n\n**Example:**\nNot Specified\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0EventSpecify","in":"query","description":"Additional specification for the T0 event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"format","in":"query","description":"Response format type","required":false,"schema":{"type":"string","nullable":true,"example":"json","default":"json","enum":["json","tsv"]}}],"responses":{"200":{"description":"Return MBAA results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VMbaaResult"}}},"text/tab-separated-values":{"schema":{"$ref":"#/components/schemas/VMbaaResult"}}}},"401":{"description":"Error: response status is 401","content":{"application/json":{"examples":{"401 Response Example":{"summary":"JSON object returned with 401 response","description":"401 Response Example","value":{"error":"Full authentication is required to access this resource","type":"Unauthorized","status":401}}}}}}},"security":[{"immport-security":[]}]}},"/result/massSpectrometryResult":{"get":{"tags":["Study Result"],"summary":"Retrieve Mass Spectrometry results using filters","description":"Returns Mass Spectrometry results based on filter criteria","operationId":"getMassSpectrometryResult","parameters":[{"name":"ageEvent","in":"query","description":"Filter by the event at which subject age was recorded. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nAge at enrollment\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAgeEvent?format=json"},{"name":"ageEventSpecify","in":"query","description":"Additional specification for the age event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ageUnit","in":"query","description":"Filter by the unit of measurement used for subject age. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nYears\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkTimeUnit?format=json"},{"name":"ancestralPopulation","in":"query","description":"Filter by ancestral population of the subject. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nEurope, Australia\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAncestralPopulation?format=json"},{"name":"sex","in":"query","description":"Filter by participant biological sex(s). Accepts multiple values comma separated.\n\n**Example:**\nFemale\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSex?format=json"},{"name":"race","in":"query","description":"Filter by subject race. Accepts multiple values comma separated.\nControlled vocabulary for Race follows the census designation and OMB Directive 15.\n\n**Example:**\nAsian, White\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkRace?format=json"},{"name":"raceSpecify","in":"query","description":"Additional specification for subject race when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ethnicity","in":"query","description":"Filter by subject ethnicity. Accepts multiple values comma separated.\nControlled vocabulary for Ethnicity follows the census designation and OMB Directive 15.\n\n**Example:**\nHispanic or Latino\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkEthnicity?format=json"},{"name":"species","in":"query","description":"Filter by species studied. Accepts multiple values comma separated.\nRepresents the organism associated with the study or subjects\n(e.g., Homo sapiens, Mus musculus).\n\n**Example:**\nHomo sapiens, Mus musculus\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSpecies?format=json"},{"name":"strain","in":"query","description":"Filter by subject species strain. Accepts multiple values comma separated.\n\n**Example:**\nC57BL/6J\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"maxSubjectAge","in":"query","description":"Filter by exact maximum subject age","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGte","in":"query","description":"Filter results where maximum subject age is greater than or equal to this value. example : 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLte","in":"query","description":"Filter results where maximum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGt","in":"query","description":"Filter results where maximum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLt","in":"query","description":"Filter results where maximum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAge","in":"query","description":"Filter by exact minimum subject age. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGte","in":"query","description":"Filter results where minimum subject age is greater than or equal to this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLte","in":"query","description":"Filter results where minimum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGt","in":"query","description":"Filter results where minimum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLt","in":"query","description":"Filter results where minimum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyAccession","in":"query","description":"Filter by specific study accession identifier(s). This is the persistent identifier\nfor the study. Accepts multiple values comma separated.\n\n**Example:**\nSDY406,SDY208, SDY268,SDY1190,SDY691,SDY194,SDY2437,SDY2353,SDY1538\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectAccession","in":"query","description":"Filter by specific subject accession identifier(s). This is the persistent identifier\nfor the subject. Accepts multiple values comma separated.\n\n**Example:**\nSUB73370, SUB73371\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armAccession","in":"query","description":"Filter by study arm accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nARM1, ARM2\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armName","in":"query","description":"Filter by study arm name(s). The name of the study's arm(s) or cohort(s) that group\nsubjects by criteria relevant to the study. Accepts multiple values comma separated.\n\n**Example:**\nImmunotherapy with anti-IgE\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTitle","in":"query","description":"Filter by study title(s). Accepts multiple values comma separated.\n\n**Example:**\nEfficacy and Safety Evaluation of Allergen Immunotherapy Co-Administered with Omalizumab (an anti-IgE Monoclonal Antibody) (ITN019AD)\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectPhenotype","in":"query","description":"Filter by subject phenotype(s). Accepts multiple values comma separated.\n\n**Example:**\nRagweed-induced seasonal allergic rhinitis\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleAccession","in":"query","description":"Filter by biosample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nBS121576, BS121577\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleSubtype","in":"query","description":"Filter by biosample subtype(s). Accepts multiple values comma separated.\n\n**Example:**\nWhole Blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleType","in":"query","description":"Filter by biological sample type(s) collected. Accepts multiple values comma separated.\nRepresents the type of biospecimen obtained from subjects for analysis.\n\n**Example:**\nBone, Cord blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSampleType?format=json"},{"name":"measurementTechnique","in":"query","description":"Filter by assay method(s) used in the study. Accepts multiple values comma separated.\nRepresents the experimental measurement techniques applied to generate study data.\n\n**Example:**\nFlow Cytometry, ELISA, ELISPOT\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkExpMeasurementTech?format=json"},{"name":"experimentAccession","in":"query","description":"Filter by experiment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nEXP14863, EXP14861\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"expsampleAccession","in":"query","description":"Filter by experiment sample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nES96611, ES96612\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"plannedVisitAccession","in":"query","description":"Filter by planned visit accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nPV66, PV81\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"treatmentAccession","in":"query","description":"Filter by treatment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nTRT001, TRT002\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"clinical","in":"query","description":"Facet filter indicating whether the result is clinical.\n\nAccepts one of the following values:\nY = Clinical result\nN = Non-clinical result\n","required":false,"schema":{"type":"string","nullable":true,"enum":["Y","N"]}},{"name":"studyTimeCollected","in":"query","description":"Filter by exact study time collected value relative to T0. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGte","in":"query","description":"Filter results where study time collected is greater than or equal to this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLte","in":"query","description":"Filter results where study time collected is less than or equal to this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGt","in":"query","description":"Filter results where study time collected is strictly greater than this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLt","in":"query","description":"Filter results where study time collected is strictly less than this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedUnit","in":"query","description":"Filter by the unit of measurement for study time collected. Accepts multiple values comma separated.\n\n**Example:**\nDays\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0Event","in":"query","description":"Filter by the reference event used as time zero (T0) for the study timeline.\nAccepts multiple values comma separated.\n\n**Example:**\nNot Specified\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0EventSpecify","in":"query","description":"Additional specification for the T0 event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"format","in":"query","description":"Response format type","required":false,"schema":{"type":"string","nullable":true,"example":"json","default":"json","enum":["json","tsv"]}}],"responses":{"401":{"description":"Error: response status is 401","content":{"application/json":{"examples":{"401 Response Example":{"summary":"JSON object returned with 401 response","description":"401 Response Example","value":{"error":"Full authentication is required to access this resource","type":"Unauthorized","status":401}}}}}},"200":{"description":"Return Mass Spectrometry Results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MassSpectrometryResult"}},"examples":{"JSON Response Example":{"summary":"JSON array response for Mass Spectrometry Results","description":"JSON Response Example","value":[{"resultId":16307,"ageEvent":"Age at enrollment","ageEventSpecify":"","ageUnit":"Weeks","ancestralPopulation":"","analyteAccession":"","analytePreferred":"","analyteReported":"CA09-specific IgG","armAccession":"ARM884","armName":"Microneedle vaccination- 5 ug inactivated A/California/04/09 virus, Challenged: 10x LD50 A/California/04/09 virus","biosampleAccession":"BS689947","biosampleType":"PBMC","biosampleSubtype":"","cellNumberPreferred":100000,"cellNumberReported":"100000","clinical":"N","comments":"Long-lived Plasma cell","ethnicity":"","experimentAccession":"EXP13369","expsampleAccession":"ES736609","gender":"Female","maxSubjectAge":6,"measurementTechnique":"ELISPOT","minSubjectAge":6,"plannedVisitAccession":"PV2440","race":"","raceSpecify":"","repositoryAccession":"","repositoryName":"","species":"Mus musculus","spotNumberPreferred":21,"spotNumberReported":"21","strain":"","studyAccession":"SDY208","studyTitle":"Serological Memory and Long-term Protection to Novel H1N1 Influenza Virus After Skin Vaccination","studyTimeCollected":84,"studyTimeCollectedUnit":"Days","studyTimeT0Event":"Time of initial vaccine administration","studyTimeT0EventSpecify":"","subjectAccession":"SUB120519","subjectPhenotype":"Specific-pathogen free","treatmentAccession":"TRT256"}]}}},"text/tab-separated-values":{"schema":{"$ref":"#/components/schemas/MassSpectrometryResult"}}}}},"security":[{"immport-security":[]}]}},"/result/kirTyping":{"get":{"tags":["Study Result"],"summary":"Retrieve kIR Typing results using filters","description":"Returns KIR Typing results based on filter criteria","operationId":"getKirTypingResult","parameters":[{"name":"ageEvent","in":"query","description":"Filter by the event at which subject age was recorded. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nAge at enrollment\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAgeEvent?format=json"},{"name":"ageEventSpecify","in":"query","description":"Additional specification for the age event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ageUnit","in":"query","description":"Filter by the unit of measurement used for subject age. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nYears\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkTimeUnit?format=json"},{"name":"ancestralPopulation","in":"query","description":"Filter by ancestral population of the subject. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nEurope, Australia\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAncestralPopulation?format=json"},{"name":"sex","in":"query","description":"Filter by participant biological sex(s). Accepts multiple values comma separated.\n\n**Example:**\nFemale\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSex?format=json"},{"name":"race","in":"query","description":"Filter by subject race. Accepts multiple values comma separated.\nControlled vocabulary for Race follows the census designation and OMB Directive 15.\n\n**Example:**\nAsian, White\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkRace?format=json"},{"name":"raceSpecify","in":"query","description":"Additional specification for subject race when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ethnicity","in":"query","description":"Filter by subject ethnicity. Accepts multiple values comma separated.\nControlled vocabulary for Ethnicity follows the census designation and OMB Directive 15.\n\n**Example:**\nHispanic or Latino\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkEthnicity?format=json"},{"name":"species","in":"query","description":"Filter by species studied. Accepts multiple values comma separated.\nRepresents the organism associated with the study or subjects\n(e.g., Homo sapiens, Mus musculus).\n\n**Example:**\nHomo sapiens, Mus musculus\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSpecies?format=json"},{"name":"strain","in":"query","description":"Filter by subject species strain. Accepts multiple values comma separated.\n\n**Example:**\nC57BL/6J\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"maxSubjectAge","in":"query","description":"Filter by exact maximum subject age","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGte","in":"query","description":"Filter results where maximum subject age is greater than or equal to this value. example : 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLte","in":"query","description":"Filter results where maximum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGt","in":"query","description":"Filter results where maximum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLt","in":"query","description":"Filter results where maximum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAge","in":"query","description":"Filter by exact minimum subject age. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGte","in":"query","description":"Filter results where minimum subject age is greater than or equal to this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLte","in":"query","description":"Filter results where minimum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGt","in":"query","description":"Filter results where minimum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLt","in":"query","description":"Filter results where minimum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyAccession","in":"query","description":"Filter by specific study accession identifier(s). This is the persistent identifier\nfor the study. Accepts multiple values comma separated.\n\n**Example:**\nSDY406,SDY208, SDY268,SDY1190,SDY691,SDY194,SDY2437,SDY2353,SDY1538\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectAccession","in":"query","description":"Filter by specific subject accession identifier(s). This is the persistent identifier\nfor the subject. Accepts multiple values comma separated.\n\n**Example:**\nSUB73370, SUB73371\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armAccession","in":"query","description":"Filter by study arm accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nARM1, ARM2\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armName","in":"query","description":"Filter by study arm name(s). The name of the study's arm(s) or cohort(s) that group\nsubjects by criteria relevant to the study. Accepts multiple values comma separated.\n\n**Example:**\nImmunotherapy with anti-IgE\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTitle","in":"query","description":"Filter by study title(s). Accepts multiple values comma separated.\n\n**Example:**\nEfficacy and Safety Evaluation of Allergen Immunotherapy Co-Administered with Omalizumab (an anti-IgE Monoclonal Antibody) (ITN019AD)\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectPhenotype","in":"query","description":"Filter by subject phenotype(s). Accepts multiple values comma separated.\n\n**Example:**\nRagweed-induced seasonal allergic rhinitis\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleAccession","in":"query","description":"Filter by biosample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nBS121576, BS121577\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleSubtype","in":"query","description":"Filter by biosample subtype(s). Accepts multiple values comma separated.\n\n**Example:**\nWhole Blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleType","in":"query","description":"Filter by biological sample type(s) collected. Accepts multiple values comma separated.\nRepresents the type of biospecimen obtained from subjects for analysis.\n\n**Example:**\nBone, Cord blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSampleType?format=json"},{"name":"measurementTechnique","in":"query","description":"Filter by assay method(s) used in the study. Accepts multiple values comma separated.\nRepresents the experimental measurement techniques applied to generate study data.\n\n**Example:**\nFlow Cytometry, ELISA, ELISPOT\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkExpMeasurementTech?format=json"},{"name":"experimentAccession","in":"query","description":"Filter by experiment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nEXP14863, EXP14861\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"expsampleAccession","in":"query","description":"Filter by experiment sample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nES96611, ES96612\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"plannedVisitAccession","in":"query","description":"Filter by planned visit accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nPV66, PV81\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"treatmentAccession","in":"query","description":"Filter by treatment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nTRT001, TRT002\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"clinical","in":"query","description":"Facet filter indicating whether the result is clinical.\n\nAccepts one of the following values:\nY = Clinical result\nN = Non-clinical result\n","required":false,"schema":{"type":"string","nullable":true,"enum":["Y","N"]}},{"name":"studyTimeCollected","in":"query","description":"Filter by exact study time collected value relative to T0. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGte","in":"query","description":"Filter results where study time collected is greater than or equal to this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLte","in":"query","description":"Filter results where study time collected is less than or equal to this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGt","in":"query","description":"Filter results where study time collected is strictly greater than this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLt","in":"query","description":"Filter results where study time collected is strictly less than this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedUnit","in":"query","description":"Filter by the unit of measurement for study time collected. Accepts multiple values comma separated.\n\n**Example:**\nDays\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0Event","in":"query","description":"Filter by the reference event used as time zero (T0) for the study timeline.\nAccepts multiple values comma separated.\n\n**Example:**\nNot Specified\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0EventSpecify","in":"query","description":"Additional specification for the T0 event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"format","in":"query","description":"Response format type","required":false,"schema":{"type":"string","nullable":true,"example":"json","default":"json","enum":["json","tsv"]}}],"responses":{"401":{"description":"Error: response status is 401","content":{"application/json":{"examples":{"401 Response Example":{"summary":"JSON object returned with 401 response","description":"401 Response Example","value":{"error":"Full authentication is required to access this resource","type":"Unauthorized","status":401}}}}}},"200":{"description":"Return kIR Typing results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VKirTypingResult"}},"examples":{"JSON Response Example":{"summary":"JSON array response for kIR Typing results","description":"JSON Response Example","value":[{"resultId":13297,"allele1":"*00302","allele2":"*00401","ageEvent":"Other","ageEventSpecify":"Age at blood draw unavailable","ageUnit":"Years","ancestralPopulation":"Italian","armAccession":"ARM3544","armName":"Homozygous cells","biosampleAccession":"BS934223","biosampleType":"Other","biosampleSubtype":"","clinical":"N","comments":"","ethnicity":"Not Hispanic or Latino","experimentAccession":"EXP15034","expsampleAccession":"ES1080159","gender":"Male","kirHaplotype":"2DL1","maxSubjectAge":0,"measurementTechnique":"KIR Typing","minSubjectAge":0,"plannedVisitAccession":"PV4531","race":"White","raceSpecify":"","repositoryAccession":"","repositoryName":"","species":"Homo sapiens","strain":"","studyAccession":"SDY691","studyTitle":"HLA and KIR Haplotype Sequencing","studyTimeCollected":0,"studyTimeCollectedUnit":"Days","studyTimeT0Event":"Time of enrollment","studyTimeT0EventSpecify":"","subjectAccession":"SUB133632","subjectPhenotype":"HLA homozygous","treatmentAccession":"TRT2664"}]}}},"text/tab-separated-values":{"schema":{"$ref":"#/components/schemas/VKirTypingResult"}}}}},"security":[{"immport-security":[]}]}},"/result/hlaTyping":{"get":{"tags":["Study Result"],"summary":"Retrieve HLA Typing results using filters","description":"Returns HLA Typing results based on filter criteria","operationId":"getHlaTypingResult","parameters":[{"name":"ageEvent","in":"query","description":"Filter by the event at which subject age was recorded. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nAge at enrollment\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAgeEvent?format=json"},{"name":"ageEventSpecify","in":"query","description":"Additional specification for the age event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ageUnit","in":"query","description":"Filter by the unit of measurement used for subject age. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nYears\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkTimeUnit?format=json"},{"name":"ancestralPopulation","in":"query","description":"Filter by ancestral population of the subject. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nEurope, Australia\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAncestralPopulation?format=json"},{"name":"sex","in":"query","description":"Filter by participant biological sex(s). Accepts multiple values comma separated.\n\n**Example:**\nFemale\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSex?format=json"},{"name":"race","in":"query","description":"Filter by subject race. Accepts multiple values comma separated.\nControlled vocabulary for Race follows the census designation and OMB Directive 15.\n\n**Example:**\nAsian, White\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkRace?format=json"},{"name":"raceSpecify","in":"query","description":"Additional specification for subject race when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ethnicity","in":"query","description":"Filter by subject ethnicity. Accepts multiple values comma separated.\nControlled vocabulary for Ethnicity follows the census designation and OMB Directive 15.\n\n**Example:**\nHispanic or Latino\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkEthnicity?format=json"},{"name":"species","in":"query","description":"Filter by species studied. Accepts multiple values comma separated.\nRepresents the organism associated with the study or subjects\n(e.g., Homo sapiens, Mus musculus).\n\n**Example:**\nHomo sapiens, Mus musculus\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSpecies?format=json"},{"name":"strain","in":"query","description":"Filter by subject species strain. Accepts multiple values comma separated.\n\n**Example:**\nC57BL/6J\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"maxSubjectAge","in":"query","description":"Filter by exact maximum subject age","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGte","in":"query","description":"Filter results where maximum subject age is greater than or equal to this value. example : 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLte","in":"query","description":"Filter results where maximum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGt","in":"query","description":"Filter results where maximum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLt","in":"query","description":"Filter results where maximum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAge","in":"query","description":"Filter by exact minimum subject age. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGte","in":"query","description":"Filter results where minimum subject age is greater than or equal to this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLte","in":"query","description":"Filter results where minimum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGt","in":"query","description":"Filter results where minimum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLt","in":"query","description":"Filter results where minimum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyAccession","in":"query","description":"Filter by specific study accession identifier(s). This is the persistent identifier\nfor the study. Accepts multiple values comma separated.\n\n**Example:**\nSDY406,SDY208, SDY268,SDY1190,SDY691,SDY194,SDY2437,SDY2353,SDY1538\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectAccession","in":"query","description":"Filter by specific subject accession identifier(s). This is the persistent identifier\nfor the subject. Accepts multiple values comma separated.\n\n**Example:**\nSUB73370, SUB73371\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armAccession","in":"query","description":"Filter by study arm accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nARM1, ARM2\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"armName","in":"query","description":"Filter by study arm name(s). The name of the study's arm(s) or cohort(s) that group\nsubjects by criteria relevant to the study. Accepts multiple values comma separated.\n\n**Example:**\nImmunotherapy with anti-IgE\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTitle","in":"query","description":"Filter by study title(s). Accepts multiple values comma separated.\n\n**Example:**\nEfficacy and Safety Evaluation of Allergen Immunotherapy Co-Administered with Omalizumab (an anti-IgE Monoclonal Antibody) (ITN019AD)\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"subjectPhenotype","in":"query","description":"Filter by subject phenotype(s). Accepts multiple values comma separated.\n\n**Example:**\nRagweed-induced seasonal allergic rhinitis\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleAccession","in":"query","description":"Filter by biosample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nBS121576, BS121577\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleSubtype","in":"query","description":"Filter by biosample subtype(s). Accepts multiple values comma separated.\n\n**Example:**\nWhole Blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"biosampleType","in":"query","description":"Filter by biological sample type(s) collected. Accepts multiple values comma separated.\nRepresents the type of biospecimen obtained from subjects for analysis.\n\n**Example:**\nBone, Cord blood\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSampleType?format=json"},{"name":"measurementTechnique","in":"query","description":"Filter by assay method(s) used in the study. Accepts multiple values comma separated.\nRepresents the experimental measurement techniques applied to generate study data.\n\n**Example:**\nFlow Cytometry, ELISA, ELISPOT\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkExpMeasurementTech?format=json"},{"name":"experimentAccession","in":"query","description":"Filter by experiment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nEXP14863, EXP14861\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"expsampleAccession","in":"query","description":"Filter by experiment sample accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nES96611, ES96612\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"plannedVisitAccession","in":"query","description":"Filter by planned visit accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nPV66, PV81\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"treatmentAccession","in":"query","description":"Filter by treatment accession identifier(s). Accepts multiple values comma separated.\n\n**Example:**\nTRT001, TRT002\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"clinical","in":"query","description":"Facet filter indicating whether the result is clinical.\n\nAccepts one of the following values:\nY = Clinical result\nN = Non-clinical result\n","required":false,"schema":{"type":"string","nullable":true,"enum":["Y","N"]}},{"name":"studyTimeCollected","in":"query","description":"Filter by exact study time collected value relative to T0. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGte","in":"query","description":"Filter results where study time collected is greater than or equal to this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLte","in":"query","description":"Filter results where study time collected is less than or equal to this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedGt","in":"query","description":"Filter results where study time collected is strictly greater than this value. example : -7.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedLt","in":"query","description":"Filter results where study time collected is strictly less than this value. example : 129.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyTimeCollectedUnit","in":"query","description":"Filter by the unit of measurement for study time collected. Accepts multiple values comma separated.\n\n**Example:**\nDays\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0Event","in":"query","description":"Filter by the reference event used as time zero (T0) for the study timeline.\nAccepts multiple values comma separated.\n\n**Example:**\nNot Specified\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"studyTimeT0EventSpecify","in":"query","description":"Additional specification for the T0 event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"format","in":"query","description":"Response format type","required":false,"schema":{"type":"string","nullable":true,"example":"json","default":"json","enum":["json","tsv"]}}],"responses":{"200":{"description":"Return HLA Typing results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VHlaTypingResult"}},"examples":{"JSON Response Example":{"summary":"JSON array response for HLA Typing results","description":"JSON Response Example","value":[{"resultId":174362,"allele1":"A*02:01:01:01","allele2":"A*02:01:01:01","ageEvent":"Other","ageEventSpecify":"Age at blood draw unavailable","ageUnit":"Years","ancestralPopulation":"Italian","armAccession":"ARM3544","armName":"Homozygous cells","biosampleAccession":"BS934223","biosampleType":"Other","biosampleSubtype":"","clinical":"N","comments":"Italian","ethnicity":"Not Hispanic or Latino","experimentAccession":"EXP14920","expsampleAccession":"ES1067400","gender":"Male","locusName":"HLA-A","maxSubjectAge":0,"measurementTechnique":"HLA Typing","minSubjectAge":0,"plannedVisitAccession":"PV4531","race":"White","raceSpecify":"","repositoryAccession":"ERS509497","repositoryName":"ENA","resultSetId":162715,"species":"Homo sapiens","strain":"","studyAccession":"SDY691","studyTitle":"HLA and KIR Haplotype Sequencing","studyTimeCollected":0,"studyTimeCollectedUnit":"Days","studyTimeT0Event":"Time of enrollment","studyTimeT0EventSpecify":"","subjectAccession":"SUB133632","subjectPhenotype":"HLA homozygous","treatmentAccession":"TRT2664"}]}}},"text/tab-separated-values":{"schema":{"$ref":"#/components/schemas/VHlaTypingResult"}}}},"401":{"description":"Error: response status is 401","content":{"application/json":{"examples":{"401 Response Example":{"summary":"JSON object returned with 401 response","description":"401 Response Example","value":{"error":"Full authentication is required to access this resource","type":"Unauthorized","status":401}}}}}}},"security":[{"immport-security":[]}]}},"/result/hai":{"get":{"tags":["Study Result"],"summary":"Retrieve HAI results using filters","description":"Returns HAI results based on filter criteria","operationId":"getHaiResult","parameters":[{"name":"ageEvent","in":"query","description":"Filter by the event at which subject age was recorded. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nAge at enrollment\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAgeEvent?format=json"},{"name":"ageEventSpecify","in":"query","description":"Additional specification for the age event when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ageUnit","in":"query","description":"Filter by the unit of measurement used for subject age. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nYears\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkTimeUnit?format=json"},{"name":"ancestralPopulation","in":"query","description":"Filter by ancestral population of the subject. Accepts multiple values comma separated.\nIt will accept only exact values (case insensitive).\n\n**Example:**\nEurope, Australia\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkAncestralPopulation?format=json"},{"name":"sex","in":"query","description":"Filter by participant biological sex(s). Accepts multiple values comma separated.\n\n**Example:**\nFemale\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSex?format=json"},{"name":"race","in":"query","description":"Filter by subject race. Accepts multiple values comma separated.\nControlled vocabulary for Race follows the census designation and OMB Directive 15.\n\n**Example:**\nAsian, White\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkRace?format=json"},{"name":"raceSpecify","in":"query","description":"Additional specification for subject race when the standard value requires clarification.\nAccepts multiple values comma separated.\n\n**Example:**\nOther\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"ethnicity","in":"query","description":"Filter by subject ethnicity. Accepts multiple values comma separated.\nControlled vocabulary for Ethnicity follows the census designation and OMB Directive 15.\n\n**Example:**\nHispanic or Latino\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkEthnicity?format=json"},{"name":"species","in":"query","description":"Filter by species studied. Accepts multiple values comma separated.\nRepresents the organism associated with the study or subjects\n(e.g., Homo sapiens, Mus musculus).\n\n**Example:**\nHomo sapiens, Mus musculus\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}},"x-lookup-url":"https://www.immport.org/data/query/api/lookup/lkSpecies?format=json"},{"name":"strain","in":"query","description":"Filter by subject species strain. Accepts multiple values comma separated.\n\n**Example:**\nC57BL/6J\n","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string","nullable":true}}},{"name":"maxSubjectAge","in":"query","description":"Filter by exact maximum subject age","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGte","in":"query","description":"Filter results where maximum subject age is greater than or equal to this value. example : 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLte","in":"query","description":"Filter results where maximum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeGt","in":"query","description":"Filter results where maximum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"maxSubjectAgeLt","in":"query","description":"Filter results where maximum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAge","in":"query","description":"Filter by exact minimum subject age. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGte","in":"query","description":"Filter results where minimum subject age is greater than or equal to this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLte","in":"query","description":"Filter results where minimum subject age is less than or equal to this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeGt","in":"query","description":"Filter results where minimum subject age is strictly greater than this value. example = 18.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"minSubjectAgeLt","in":"query","description":"Filter results where minimum subject age is strictly less than this value. example = 65.0","required":false,"schema":{"type":"number","format":"double","nullable":true}},{"name":"studyAccession","in":"query","description":"Filter by specific study accession identifier(s). This is the persistent identifier\nfor the study. Accepts multiple values comma separated.\n\n**Example:**\nSDY406,SDY208, SDY268,SDY1190,SDY691,SDY194,SDY2437,SDY2353,SD
[...]
